# Generated by Django 4.2 on 2024-03-23 03:08

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Supplier",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=255, unique=True)),
            ],
            options={
                "ordering": ("name",),
            },
        ),
        migrations.CreateModel(
            name="SupplierAlias",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("regex", models.CharField(max_length=255)),
                ("supplier", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="location_api.supplier")),
            ],
            options={
                "verbose_name_plural": "Supplier alias's",
                "ordering": ("supplier",),
            },
        ),
        migrations.CreateModel(
            name="Location",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("modified", models.DateTimeField(auto_now=True)),
                ("name", models.CharField(max_length=255)),
                ("slug", models.SlugField(editable=False)),
                ("point", django.contrib.gis.db.models.fields.PointField(srid=4326)),
                ("country_code", models.CharField(blank=True, max_length=3)),
                ("gisprecision", models.CharField(blank=True, max_length=255)),
                ("attributes", models.JSONField(blank=True, default=dict, null=True)),
                (
                    "supplier",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="locations",
                        to="location_api.supplier",
                    ),
                ),
            ],
            options={
                "ordering": ("name",),
            },
        ),
    ]
